Package de.willuhn.jameica.hbci.gui.controller

# Class SepaDauerauftragControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.SepaDauerauftragControl

public class SepaDauerauftragControl extends de.willuhn.jameica.gui.AbstractControl
Controller fuer SEPA-Dauerauftraege.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`SepaDauerauftragControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.DecimalInput`
`getBetrag()`
Liefert das Eingabe-Feld fuer den Betrag.
`SepaDauerauftragList`
`getDauerauftragListe()`
Liefert eine Tabelle mit allen vorhandenen SEPA-Dauerauftraegen.
`de.willuhn.jameica.gui.input.TextInput`
`getEmpfaengerBic()`
Liefert das Eingabe-Feld fuer die BIC.
`de.willuhn.jameica.gui.input.TextInput`
`getEmpfaengerKonto()`
Liefert das Eingabe-Feld fuer den Empfaenger.
`AddressInput`
`getEmpfaengerName()`
Liefert das Eingabe-Feld fuer den Empfaenger-Namen.
`de.willuhn.jameica.gui.input.Input`
`getErsteZahlung()`
Liefert ein Datums-Feld fuer die erste Zahlung.
`de.willuhn.jameica.gui.input.Input`
`getKontoAuswahl()`
Liefert ein Auswahlfeld fuer das Konto.
`de.willuhn.jameica.gui.input.Input`
`getLetzteZahlung()`
Liefert ein Datums-Feld fuer die letzte Zahlung.
`de.willuhn.jameica.gui.input.Input`
`getOrderID()`
Liefert ein Anzeige-Feld fuer die Order-ID des Dauerauftrages.
`de.willuhn.jameica.gui.input.Input`
`getPurposeCode()`
Liefert das Eingabe-Feld fuer den Purpose-Code.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getStoreEmpfaenger()`
Liefert eine CheckBox ueber die ausgewaehlt werden kann, ob der Empfaenger mitgespeichert werden soll.
`SepaDauerauftrag`
`getTransfer()`
Liefert den aktuellen SEPA-Dauerauftrag.
`de.willuhn.jameica.gui.input.DialogInput`
`getTurnus()`
Liefert ein Auswahlfeld fuer den Zahlungsturnus.
`ZweckInput`
`getZweck()`
Liefert das Eingabe-Feld fuer den Verwendungszweck.
`de.willuhn.jameica.gui.input.Input`
`getZweckPreview()`
Liefert die Vorschau auf den Verwendungszweck
`void`
`handleExecute()`
Fuehrt den Dauerauftrag aus.
`boolean`
`handleStore()`
Speichert den Geld-Transfer.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SepaDauerauftragControl

public SepaDauerauftragControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getTransfer

public SepaDauerauftrag getTransfer() throws RemoteException
Liefert den aktuellen SEPA-Dauerauftrag.

Returns:
Throws:
  `RemoteException`

### getDauerauftragListe

public SepaDauerauftragList getDauerauftragListe() throws RemoteException
Liefert eine Tabelle mit allen vorhandenen SEPA-Dauerauftraegen.

Returns:
  Tabelle.
Throws:
  `RemoteException`

### getTurnus

public de.willuhn.jameica.gui.input.DialogInput getTurnus() throws RemoteException
Liefert ein Auswahlfeld fuer den Zahlungsturnus.

Returns:
  Auswahlfeld.
Throws:
  `RemoteException`

### getOrderID

public de.willuhn.jameica.gui.input.Input getOrderID() throws RemoteException
Liefert ein Anzeige-Feld fuer die Order-ID des Dauerauftrages.

Returns:
  Anzeige-Feld.
Throws:
  `RemoteException`

### getErsteZahlung

public de.willuhn.jameica.gui.input.Input getErsteZahlung() throws RemoteException
Liefert ein Datums-Feld fuer die erste Zahlung.

Returns:
  Datums-Feld.
Throws:
  `RemoteException`

### getLetzteZahlung

public de.willuhn.jameica.gui.input.Input getLetzteZahlung() throws RemoteException
Liefert ein Datums-Feld fuer die letzte Zahlung.

Returns:
  Datums-Feld.
Throws:
  `RemoteException`

### getKontoAuswahl

public de.willuhn.jameica.gui.input.Input getKontoAuswahl() throws RemoteException
Liefert ein Auswahlfeld fuer das Konto.

Returns:
  Auswahl-Feld.
Throws:
  `RemoteException`

### getEmpfaengerName

public AddressInput getEmpfaengerName() throws RemoteException
Liefert das Eingabe-Feld fuer den Empfaenger-Namen.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEmpfaengerKonto

public de.willuhn.jameica.gui.input.TextInput getEmpfaengerKonto() throws RemoteException
Liefert das Eingabe-Feld fuer den Empfaenger.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEmpfaengerBic

public de.willuhn.jameica.gui.input.TextInput getEmpfaengerBic() throws RemoteException
Liefert das Eingabe-Feld fuer die BIC.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getStoreEmpfaenger

public de.willuhn.jameica.gui.input.CheckboxInput getStoreEmpfaenger() throws RemoteException
Liefert eine CheckBox ueber die ausgewaehlt werden kann, ob der Empfaenger mitgespeichert werden soll.

Returns:
  CheckBox.
Throws:
  `RemoteException`

### getBetrag

public de.willuhn.jameica.gui.input.DecimalInput getBetrag() throws RemoteException
Liefert das Eingabe-Feld fuer den Betrag.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getPurposeCode

public de.willuhn.jameica.gui.input.Input getPurposeCode() throws RemoteException
Liefert das Eingabe-Feld fuer den Purpose-Code.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getZweck

public ZweckInput getZweck() throws RemoteException
Liefert das Eingabe-Feld fuer den Verwendungszweck.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getZweckPreview

public de.willuhn.jameica.gui.input.Input getZweckPreview() throws RemoteException
Liefert die Vorschau auf den Verwendungszweck

Returns:
  die Vorschau auf den Verwendungszweck.
Throws:
  `RemoteException`

### handleExecute

public void handleExecute()
Fuehrt den Dauerauftrag aus.

### handleStore

public boolean handleStore()
Speichert den Geld-Transfer.

Returns:
  true, wenn das Speichern erfolgreich war, sonst false.